<?php
include 'func.inc.php';
?>
<!DOCTYPE html>
<html>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <link href="style.css" rel="stylesheet" type="text/css">

    <script type="text/javascript" src="http://code.jquery.com/jquery-latest.min.js"></script>
</head>
<body>
    <h2>Search</h2>

    <form method="POST" action="">
        <p>
            <input type="text" name="keywords"/><input type="submit"/>
        </p>
    </form>
    <?php
    if (isset($_POST['keywords'])) {
        $suffix = "";
        $keywords = mysql_real_escape_string(htmlentities(trim($_POST['keywords'])));

        $errors = array();

        if (empty($keywords)) {
            $errors[] = 'Please enter a search term';
        } else
        if (strlen($keywords) < 3) {
            $errors[] = 'Your search term must be three or more characters';
        } else
        if (search_results($keywords) === false) {
            $errors[] = 'Your search for ' . $keywords . ' returned no results';
        }
        if (empty($errors)) {
            $results = search_results($keywords);
            $results_num = count($results);

            $suffix = ($results_num != 1) ? 's' : '';

            echo '<p>Your search for <strong>' . $keywords . '</strong> returned <strong>' . $results_num . '</strong> result' . $suffix . '</p>';

            foreach ($results as $result) {
                echo '<p><strong>' . $result['title'] . '</strong> <br>' . $result['description'] . '... <br> <a href="' . $result['url'] . '" target="_blank">' . $result['url'] . '<a>';
            }
        } else {
            foreach ($errors as $error) {
                echo $error . '</br>';
            }
        }
    }
    ?>

</body>
</html>
